Results 1 to 3 of 3

Thread: Games that require firmware upgrades...

  
  1. #1
    Jubblin is offline -Hacks Veteran
    Join Date
    May 2006
    Location
    From: From: From: Rank: ORLY?
    Posts
    1,111
    Rep Power
    15

    Default

    Is there any umd game that requires anything higher then 2.60 Firmware right now..2.60 is the highest ive seen lately


  2. #2
    Jubblin is offline -Hacks Veteran
    Join Date
    May 2006
    Location
    From: From: From: Rank: ORLY?
    Posts
    1,111
    Rep Power
    15

    Default

    bump

  3. #3
    Breath of Fire is offline -Hacks Veteran
    Join Date
    May 2006
    Posts
    1,482
    Rep Power
    15

    Default

    I think the newer games coming out will have 2.70\1 but I sure help will can emulate it by the 18th, (Valkyrie Profile: Lenneth comes out) and yeah, but who knows they might have 2.6 firmware
    _______PSP | Version 3.52-M33 | 2GB Memory Stick Pro DUO
    _______Click Here for my Fully Setup gpSP thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •